4 Replies Latest reply: Mar 14, 2009 4:30 PM by Dave Hamilton
pa.efird Level 1 Level 1 (0 points)
I now my G4 is old. But, I am running Mac OS X 10.4.11 which I didn't think was so old. However I downloaded "Open Office" but, when I attempt to open it I get ther message that I "cannot open the application, because it is not supported by this system." I'm sure some one knows and I thank yu in advance for your help.

PowerMac G4, Mac OS X (10.4.11), refurbushed